Skip to main content
GET
/
v1
/
onboarding
/
partner
/
applications
List applications for the authenticated partner
curl --request GET \
  --url https://api-sandbox.circle.com/v1/onboarding/partner/applications \
  --header 'Authorization: Bearer <token>'
{
  "applications": [
    {
      "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "pendingRfis": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "sections": [
        {
          "sectionName": "<string>"
        }
      ]
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.circle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>

Filter by application status

Available options:
APPROVED,
CANCELLED,
DENIED,
DRAFT,
IN_REVIEW,
PENDING_CUSTOMER_INFORMATION,
SUBMITTED
limit
integer<int32>
default:25

Maximum number of results to return (1-100)

Required range: 1 <= x <= 100
starting_after
string

Cursor for pagination — the applicationId of the last item in the previous page

Response

List of applications

applications
object[]
hasMore
boolean
nextCursor
string